# This is the DrupalCI testbot build file for the image_style_warmer module.
build:
  assessment:
    validate_codebase:
      phplint:
      csslint:
        halt-on-fail: false
#      eslint:
#        # A test must pass eslinting standards check in order to continue processing.
#        halt-on-fail: true
      phpcs:
        # phpcs will use core's specified version of Coder.
        sniff-all-files: false
        halt-on-fail: false
    testing:
      # run_tests task is executed several times in order of performance speeds.
      # halt-on-fail can be set on the run_tests tasks in order to fail fast.
      # suppress-deprecations is false in order to be alerted to usages of
      # deprecated code.
#      run_tests.phpunit:
#        types: 'PHPUnit-Unit'
#        testgroups: '--all'
#        suppress-deprecations: false
#        halt-on-fail: false
#      run_tests.kernel:
#        types: 'PHPUnit-Kernel'
#        testgroups: '--all'
#        suppress-deprecations: false
#        halt-on-fail: false
#      run_tests.simpletest:
#        types: 'Simpletest'
#        testgroups: '--all'
#        suppress-deprecations: false
#        halt-on-fail: false
      run_tests.functional:
        types: 'PHPUnit-Functional'
        testgroups: '--all'
        suppress-deprecations: false
        halt-on-fail: false
      # Functional JavaScript tests require a concurrency of 1 because there is
      # only one instance of PhantomJS on the testbot machine.
#      run_tests.javascript:
#        concurrency: 1
#        types: 'PHPUnit-FunctionalJavascript'
#        testgroups: '--all'
#        suppress-deprecations: false
#        halt-on-fail: false
      # Run nightwatch testing.
      # @see https://www.drupal.org/project/drupal/issues/2869825
#      nightwatchjs:
